cmake_minimum_required(VERSION 3.0)                                               
set(CMAKE_CXX_STANDARD 17)                                                                           
if(MSVC)                                                                                             
    add_compile_options("/Zc:__cplusplus")                                                           
endif()                                                                                              
include_directories("D:\\PortableApps\\MSYS2\\mingw64\\include\\c++\\8.3.0\\x86_64-w64-mingw32") 
add_executable(P01 P01.cpp)
add_executable(P02 P02.cpp)
add_executable(P03 P03.cpp)
add_executable(P04 P04.cpp)
add_executable(P05 P05.cpp)
add_executable(P06 P06.cpp)
add_executable(P07 P07.cpp)
add_executable(P08 P08.cpp)
add_executable(P09 P09.cpp)
add_executable(P10 P10.cpp)
add_executable(P11 P11.cpp)
add_executable(P12 P12.cpp)
add_executable(P13 P13.cpp)